{
  "format_version": "1.10.0",
  "minecraft:attachable": {
    "description": {
      "identifier": "df:bfbook",
      "materials": {
        "default": "entity_alphatest",
        "enchanted": "entity_alphatest_glint"
      },
      "textures": {
        "default": "textures/weapons/bfbook",
        "enchanted": "textures/attachables/enchanted_glint"
      },
      "geometry": {
        "default": "geometry.bfbook"
      },
      "scripts": {
        "animate": [ 
          "hold_controller",
          "use_controller"
        ]
      },
      "animations": {
        "hold_controller": "controller.animation.weapon.hold_controller",
        "use_controller": "controller.animation.weapon.use_controller",

        "hold_first_person": "animation.bfbook.first_person.hold",
        "hold_third_person": "animation.bfbook.third_person.hold",

        "use_first_person": "animation.bfbook.first_person.bfbook.use",
        "use_third_person": "animation.bfbook.third_person.bfbook.use"
      },
      "render_controllers": [ "controller.render.item_default" ]
    }
  }
}